Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.graphics.positionpaint
Interface TreePainter

All Known Implementing Classes:
  PhylogramPainter, RectangularCladogramPainter

    public interface TreePainter

Method Summary
`void` | `paintTree(Graphics2D g, Document document, TreeSelection selection, float pixelsPerMm, boolean transparent)` Paints the whole specified document.
`void` | `paintTree(Graphics2D g, Rectangle visibleRect, Document document, TreeSelection selection, float pixelsPerMm, boolean transparent)` Paints the specified rectangle of the specified document.

Method Detail

### paintTree

    void paintTree(Graphics2D g,
                   Document document,
                   TreeSelection selection,
                   float pixelsPerMm,
                   boolean transparent)

  Paints the whole specified document.

  Parameters:
    `g` - the graphics objects used to paint
    `document` - the document to be painted
    `selection` - a list of the selected elements
    `pixelsPerMm` - the scale used for painting
    `transparent` - determines weather the background should be filled in the background color of the document

### paintTree

    void paintTree(Graphics2D g,
                   Rectangle visibleRect,
                   Document document,
                   TreeSelection selection,
                   float pixelsPerMm,
                   boolean transparent)

  Paints the specified rectangle of the specified document.

  Parameters:
    `g` - the graphics objects used to paint
    `visibleRect` - the rectangle of the document which is visible (in pixel coordiantes)
    `document` - the document to be painted
    `selection` - a list of the selected elements
    `pixelsPerMm` - the scale used for painting
    `transparent` - determines weather the background should be filled in the background color of the document

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD